Redmine doesn't account for summer time (daylight saving time)
Target version:    
Description

When we switched to summer time at end of march I had to switch the time zone of my Redmine account from UTC+1 (Berlin) to

UTC+2 (Helsinki) to see the correct times.

It would be nice if this wasn't necessary.

Particularly having to choose Helsinki or any other of the UTC+2 cities is not intuitive.

Related issues:

Is duplicate of Redmine - Defect #855: Redmine does not recognize DST or is n... Closed 2008-03-14

History

#1 - 2008-04-15 05:02 - Reavis Sutphin-Gray

Do you have the tzinfo gem installed? I was having the same problem and installing tzinfo fixed it for me.

#2 - 2008-04-16 22:31 - Thomas Löber

Thanks for the hint!

The tzinfo gem didn't help on its own. I also had to run 'script/plugin install tzinfo_timezone' to make it work.

Jean-Philippe, are you planning to add this gem and plugin to www.redmine.org?

#3 - 2008-05-21 21:48 - Thomas Löber

I'm still seeing the time 20:50 on www.redmine.org although it's already 21:50.

Can someone confirm this?

#4 - 2008-06-12 10:42 - Sven Schuchmann

I am having the same issue on my redmine r1524 install

It is now:

Thu Jun 12 10:40:25 CEST 2008

If I change a Ticket it is shown to be changed at 9:40:25.

I tried installing the tzinfo_timezone via:

SERVER:/home/redmine # ruby script/plugin install tzinfo_timezone

+ ./tzinfo_timezone/README

+ ./tzinfo_timezone/Rakefile

+ ./tzinfo_timezone/init.rb

+ ./tzinfo_timezone/lib/tzinfo_timezone.rb

+ ./tzinfo_timezone/test/tzinfo_timezone_test.rb

 But after that redmine did not start anymore:

** Daemonized, any open files are closed.  Look at /home/redmine/script/../config/../tmp/pids/mongrel.pid and 

log/mongrel.log for info.

** Starting Mongrel listening at 0.0.0.0:2002

** Starting Rails with RM_Intern environment...

/usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require': no such file to load --

 tzinfo (MissingSourceFile)

        from /usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `require'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:495:in `requir

e'

        from /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:342:in `new_co

nstants_in'

        from /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:495:in `requir

e'

        from /home/redmine_Intern/vendor/plugins/tzinfo_timezone/lib/tzinfo_timezone.rb:1

        from /usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

        from /usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `require'

        from /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:495:in `requir

e'

         ... 24 levels...

        from /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/command.rb:211:in `run'

        from /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/bin/mongrel_rails:242

        from /usr/bin/mongrel_rails:16:in `load'

        from /usr/bin/mongrel_rails:16

<pre>

Can anyone help me?

#5 - 2008-06-12 12:54 - Thomas Löber

As Reavis mentioned you will also have to install the tzinfo gem.

#6 - 2008-06-13 10:47 - Sven Schuchmann

I tried installing "tzinfo" via via

ruby script/plugin install tzinfo

But all I get is:

svn: Connection closed unexpectedly

 Anyone an idea?

#7 - 2008-06-13 10:57 - Sven Schuchmann

Sven Schuchmann wrote:

I tried installing "tzinfo" via via

[...]

But all I get is:

[...]

Anyone an idea?

 Okay, I fixed it.

Downloaded tzinfo.zip and copied it to vendor/plugins

Now it runns smooth...

#8 - 2008-06-13 13:43 - Thomas Löber

I rather thought of

gem install tzinfo

#9 - 2008-06-27 16:04 - Thomas Löber

- Status changed from New to Resolved

Actually this issue is a duplicate of #855.

Nevertheless the tzinfo_timezone plugin should be added to www.redmine.org as well.

#10 - 2010-07-05 15:13 - Holger Just

- Status changed from Resolved to Closed

- Resolution set to Fixed
This is obviously resolved on redmine.org and elsewhere.
